/*
Module : DTIME.H
Purpose: Defines the interface to all DateTime components
Created: PJN / DATE/1 / 23-02-1996
History: None

Copyright (c) 1996 by PJ Naughter.  
All rights reserved.

*/

#ifndef __DTIME_H__


////////////////////////////////// Macros /////////////////////////////////////

#define __DTIME_H__

#ifndef __cplusplus
  #error Requires C++ compilation (use a .cpp suffix)
#endif                 



////////////////////////////////// Includes ///////////////////////////////////
#include <datetime.h>      //Underlying date & time classes
#include <resource.h>      //Resources values
#include <dentry.h>        //data entry routines


//////////////////////////////// Global functions /////////////////////////////

AFX_EXT_API WORD GetDTimeVersion();   //returns the current version of the classes 
                                      //currently 0x0200, major version = HIBYTE = 2
                                      //major version = LOBYTE = 0

AFX_EXT_API void AboutDTime();        //Displays various info about DTime using a 
                                      //modal dialog box



#endif //__DTIME_H__