// MyCplApp.cpp : Defines the initialization routines for the DLL.
//

#include "stdafx.h"
#include "dtset.h"
#include "dtsetdlg.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMyCplAppApp

BEGIN_MESSAGE_MAP(CMyCplAppApp, CWinApp)
	//{{AFX_MSG_MAP(CMyCplAppApp)
	//}}AFX_MSG_MAP
  ON_COMMAND(ID_HELP, CWinApp::OnHelp) 
END_MESSAGE_MAP()


CMyCplAppApp::CMyCplAppApp()
{
}


CMyCplAppApp theApp;


LONG CMyPanel::OnInquire(UINT /*uAppNum*/, NEWCPLINFO* pInfo) 
{
  AFX_MANAGE_STATE(AfxGetStaticModuleState());

  HINSTANCE hDll = GetModuleHandle(_T("DTSET.CPL"));
  AfxSetResourceHandle(hDll);

  CString sAppName;
  BOOL bLoad = sAppName.LoadString(IDS_NAME);
  ASSERT(bLoad);
  AfxGetApp()->m_pszAppName = _tcsdup(sAppName);

  // Fill in the data
  pInfo->dwSize = sizeof(NEWCPLINFO); // important
  pInfo->dwFlags = 0;
  pInfo->dwHelpContext = 0;
  pInfo->lData = 0;
  pInfo->hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME); 

  CString sName;
  bLoad = sName.LoadString(IDS_NAME);
  ASSERT(bLoad);
  _tcscpy(pInfo->szName, sName);

  CString sDescription;
  bLoad = sDescription.LoadString(IDS_DESCRIPTION);
  ASSERT(bLoad);
  _tcscpy(pInfo->szInfo, sDescription);

  _tcscpy(pInfo->szHelpFile, _T("DTSET.HLP"));

  return 0; // OK (don't send CPL_INQUIRE msg)
}


LONG CMyPanel::OnDblclk(HWND /*hwndCPl*/, UINT /*uAppNum*/, LONG /*lData*/)
{
  AFX_MANAGE_STATE(AfxGetStaticModuleState());

  HINSTANCE hDll = GetModuleHandle(_T("DTSET.CPL"));
  AfxSetResourceHandle(hDll);

  CDtsetDlg dlg;
  dlg.DoModal();
  return 0;
}
   

void CMyCplAppApp::WinHelp(DWORD /*dwData*/, UINT /*nCmd*/) 
{
	CWinApp::WinHelp(0, HELP_CONTENTS);
}
